<?php
// +-------------------------------------------------------------+
// | HiveMail™ version 1.3.1
// +-------------------------------------------------------------+
// | HIVEMAIL™ IS NOT FREE SOFTWARE
// | If you have downloaded this software from a website other
// | than Hivemail or if you have otherwise received
// | this software from someone who is not a representative of
// | this organization you are involved in an illegal activity.
// +-------------------------------------------------------------+
// | $RCSfile: user.logout.php,v $ - $Revision: 1.16 $
// | $Date: 2004/07/21 02:49:32 $ - $Author: tubedogg $
// +-------------------------------------------------------------+

error_reporting(E_ALL & ~E_NOTICE);
require_once('./global.php');

// ############################################################################
log_event(EVENT_NOTICE, 402, array('ip' => IPADDRESS, 'user' => $hiveuser['username']));

session_destroy();
hivecookie(session_name(), '');
hivecookie('hive_userid', '');
hivecookie('hive_password', '');
$DB_site->shut_down("
	UPDATE hive_user
	SET lastactivity = 0
	WHERE userid = $hiveuser[userid]
");
$hiveuser['userid'] = 0;
eval(makeerror('error_logout', false, '', false));

?>